%define name 	lincity
%define version 1.12
%define release 0.pre55.2mdk

Summary: 	Lincity - A City Simulation Game
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}pre55.tar.bz2
License: 	GPL
URL:		http://www.lincity.org
Group: 		Games/Strategy
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	XFree86-devel ImageMagick

%description
Lincity is a city simulation game. Build your city up
from a primitive village to an advanced civilization.
Build a sustainable economy, or build rockets to escape
from a pollution ridden and resource starved planet. 

%prep
%setup -q -n %name-%{version}pre55

%build
%configure
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall
mkdir $RPM_BUILD_ROOT/%_gamesbindir
mv $RPM_BUILD_ROOT/%_bindir/* $RPM_BUILD_ROOT/%_gamesbindir/
%find_lang %name

# menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}/
cat << EOF >> $RPM_BUILD_ROOT/%{_menudir}/lincity
?package(lincity):command="%{_gamesbindir}/xlincity" icon="%{name}.png" \
               needs="X11" section="Amusement/Strategy" title="Lincity" \
               longtitle="A City Simulation Game"
EOF

mkdir -p %buildroot/%_liconsdir
convert lincity-48.xpm %buildroot/%_liconsdir/lincity.png
mkdir -p %buildroot/%_iconsdir
convert -size 32x32 lincity-36.xpm %buildroot/%_iconsdir/lincity.png
mkdir -p %buildroot/%_miconsdir
convert lincity-16.xpm %buildroot/%_miconsdir/lincity.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%{_gamesbindir}/xlincity
%{_datadir}/lincity
%{_datadir}/man/man6/lincity.6.bz2
%{_menudir}/lincity
%{_miconsdir}/lincity.png
%{_iconsdir}/lincity.png
%{_liconsdir}/lincity.png

%changelog
* Mon Jan 12 2004 Austin Acton <austin@mandrake.org> 1.12-0.pre55.2mdk
- add icon

* Sun Jan 04 2004 Austin Acton <austin@linux.ca> 1.12-0.pre55.1mdk
- from Taj Morton <taj@wildgardenseed.com> :
  - First Package

